curl --request GET \
--url https://api.komerza.com/stores/{storeId}/permissions \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"isOwner": true,
"permissions": [
"<string>"
],
"enabledPaymentMethods": [
"<string>"
]
}
}Gets the permissions that the currently authenticated user has against the store, along with the payment methods
enabled by the store owner
Requires the stores.view permission.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/permissions \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"isOwner": true,
"permissions": [
"<string>"
],
"enabledPaymentMethods": [
"<string>"
]
}
}Your API key goes here
The ID of the store to get permissions for.
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Response for a user to determine the permissions they have on the store
Show child attributes
Was this page helpful?